head	1.8;
access;
symbols
	RELEASE_4_EOL:1.7
	RELEASE_6_2_0:1.7
	RELEASE_6_1_0:1.7
	RELEASE_5_5_0:1.7
	RELEASE_6_0_0:1.7
	RELEASE_5_4_0:1.7
	RELEASE_4_11_0:1.7
	RELEASE_5_3_0:1.7
	RELEASE_4_10_0:1.7
	RELEASE_5_2_1:1.6
	RELEASE_5_2_0:1.6
	RELEASE_4_9_0:1.5
	RELEASE_5_1_0:1.5
	RELEASE_4_8_0:1.4
	RELEASE_5_0_0:1.2
	RELEASE_4_7_0:1.2;
locks; strict;
comment	@# @;


1.8
date	2007.02.13.09.11.08;	author stas;	state dead;
branches;
next	1.7;

1.7
date	2003.12.15.06.35.47;	author knu;	state Exp;
branches;
next	1.6;

1.6
date	2003.10.31.18.26.00;	author knu;	state Exp;
branches;
next	1.5;

1.5
date	2003.04.19.15.57.36;	author knu;	state Exp;
branches;
next	1.4;

1.4
date	2003.03.03.17.03.09;	author knu;	state Exp;
branches;
next	1.3;

1.3
date	2003.02.12.16.12.00;	author knu;	state Exp;
branches;
next	1.2;

1.2
date	2002.08.03.08.45.35;	author knu;	state Exp;
branches;
next	1.1;

1.1
date	2002.06.08.17.24.55;	author knu;	state Exp;
branches;
next	;


desc
@@


1.8
log
@- Remove expired ruby 1.6 ports.
- Remove expired ruby18_static port that depends on ruby16
@
text
@#!/bin/sh
#
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.7 2003/12/15 06:35:47 knu Exp $

PKGNAME=$1
PKG_DBDIR=${PKG_DBDIR:-/var/db/pkg}

die () {
    echo $* >&2
    exit 1
}

delete_modules () {
    modules="
	bigfloat
	devel-logger
	dl
	drb
	erb
	fileutils
	fnmatch
	gserver
	openssl
	optparse
	racc-runtime
	rdoc
	rexml
	soap
	strscan
	testunit
	webrick
	xmlrpc
	yaml
	zlib
    "

    echo "Deinstalling modules being replaced by $PKGNAME..."

    cd $PKG_DBDIR || die "$PKG_DBDIR is not found"

    for portname in $modules; do
	for pkg in $RUBY_PKGNAMEPREFIX$portname-*; do
	    if [ -d $pkg ]; then
		echo "---> $pkg"
		/usr/sbin/pkg_delete -f $pkg
	    fi
	done
    done
}

RUBY_PKGNAMEPREFIX=$(expr "$PKGNAME" : '\([^-]*-\)')

if [ -z $RUBY_PKGNAMEPREFIX ]; then
    die "Cannot determine RUBY_PKGNAMEPREFIX from '$PKGNAME'."
fi

case $2 in
    PRE-INSTALL)
	delete_modules
	;;
    POST-INSTALL)
	;;
    *)
	die "usage: sh $0 \$PKGNAME { PRE-INSTALL | POST-INSTALL }"
	;;
esac

exit 0
@


1.7
log
@Update lang/ruby18 and lang/ruby16-shim-ruby18 to 1.8.1-preview3.
@
text
@d3 1
a3 1
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.6 2003/10/31 18:26:00 knu Exp $
@


1.6
log
@Update to 1.8.1-preview2.
@
text
@d3 1
a3 1
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.5 2003/04/19 15:57:36 knu Exp $
d26 1
@


1.5
log
@Update lang/ruby, lang/ruby-devel and lang/ruby16-shim-ruby18 to the
latest snapshots as of 2003-04-19.

ruby-bigdecimal (formerly known as ruby-bigfloat) and ruby-zlib are
now part of ruby 1.8.
@
text
@d3 1
a3 1
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.4 2003/03/03 17:03:09 knu Exp $
d16 1
d18 1
d22 2
d26 2
d30 3
@


1.4
log
@Update to 1.8.0-preview2, which now includes ruby-testunit.
@
text
@d3 1
a3 1
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.3 2003/02/12 16:12:00 knu Exp $
d15 1
d24 1
@


1.3
log
@ruby-erb is now part of ruby 1.8 and shim-ruby18.
@
text
@d3 1
a3 1
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.2 2002/08/03 08:45:35 knu Exp $
d22 1
@


1.2
log
@Update to 1.7.2.2002.07.31.  The optparse module has been included.
@
text
@d3 1
a3 1
# $FreeBSD: ports/lang/ruby16-shim-ruby18/pkg-install,v 1.1 2002/06/08 17:24:55 knu Exp $
d16 1
@


1.1
log
@Add ruby16-shim-ruby18, version 1.7.2.2002.05.21.

Ruby Shim is a set of modules that provide the libraries and the
additional features that will appear in the next version of Ruby.

Shim between 1.6 and 1.8 includes:

	features/ruby18	Hooks to support ruby 1.8 extensions
	dl		Interface to dynamic linker
	racc-runtime	Racc runtime module
	stringio	IO interface for String
	strscan		Fast string scanner
	benchmark	Benchmark module
	fileutils	File & directory manipulation
	pp		Pretty printer (prettier version of `p')
	tsort		Topological sorter

Accordingly, this port obsoletes and replaces the following ports:

	devel/ruby-dl
	devel/ruby-fileutils
	devel/ruby-fnmatch
	devel/ruby-racc-runtime
	devel/ruby-strscan

They will be automatically deinstalled during the installation process
of this port.
@
text
@d3 1
a3 1
# $FreeBSD$
d18 1
@

